import 'package:flutter/material.dart';
import 'package:satu/core/services/navigator_service.dart';
import 'package:satu/core/utils/locator.dart';
import 'package:satu/routes/route_names.dart';
import 'package:satu/widgets/bar/products_app_bar.dart';

import 'component/setting_item.dart';

class SettingsView extends StatelessWidget {
  NavigatorService _navigatorService = locator<NavigatorService>();
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: ProductsAppBar(title: 'Настройки',),
      body: Padding(
        padding: const EdgeInsets.symmetric( horizontal: 8.0 ),
        child: SingleChildScrollView(
          child: Column(
            children: [
              SettingItem(
                  name: 'Принтер',
                  value: 'не выбран',
                  onTap: () {
                    _navigatorService.push(settingPrinterBluetoothViewRoute);
                  }
              ),
            ],
          ),
        ),
      ),
    );
  }
}
